Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge
Class Replication

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge.Replication

All Implemented Interfaces:
  Cloneable

    public class Replication

extends Object
implements Cloneable

Constructor Summary
`Replication(CallCenterCTMC ctmc, CallCenterCounters counters, boolean subgradientOnly, int[] lowerStaffing, int[] upperStaffing, RateChangeInfo[] changes)`

Method Summary
`void` | `changePeriod(CallCenterCTMC ctmcP, CallCenterCounters countersProto, int[] lowerStaffing, int[] upperStaffing, int p, RateChangeInfo[] changes)`
`Replication` | `clone()`
`void` | `finish()`
`CallCenterCTMC` | `getCTMC()`
`int` | `getCTMCHashCode()`
`int[]` | `getLowerStaffing()`
`int` | `getMinNumSplit()`
`Trajectory[]` | `getTrajectories()`
`int[]` | `getUpperStaffing()`
`void` | `merge(Replication other)`
`Replication[]` | `simulateStep(int bits)`
`Replication[]` | `splitNewPeriod(CallCenterCTMC ctmc)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Replication

    public Replication(CallCenterCTMC ctmc,
                       CallCenterCounters counters,
                       boolean subgradientOnly,
                       int[] lowerStaffing,
                       int[] upperStaffing,
                       RateChangeInfo[] changes)

Method Detail

### changePeriod

    public void changePeriod(CallCenterCTMC ctmcP,
                             CallCenterCounters countersProto,
                             int[] lowerStaffing,
                             int[] upperStaffing,
                             int p,
                             RateChangeInfo[] changes)

### simulateStep

    public Replication[] simulateStep(int bits)

### getMinNumSplit

    public int getMinNumSplit()

### finish

    public void finish()

### splitNewPeriod

    public Replication[] splitNewPeriod(CallCenterCTMC ctmc)

### merge

    public void merge(Replication other)

### getCTMC

    public CallCenterCTMC getCTMC()

### getCTMCHashCode

    public int getCTMCHashCode()

### getTrajectories

    public Trajectory[] getTrajectories()

### clone

    public Replication clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getLowerStaffing

    public int[] getLowerStaffing()

### getUpperStaffing

    public int[] getUpperStaffing()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.